#ifndef CONTROLPOWERWIDGET_H
#define CONTROLPOWERWIDGET_H

#include <device/controlpowerschedule.h>
#include <QRadioButton>
#include <base/switchcontrol.h>

class ControlPowerWidget : public QWidget {
    Q_OBJECT
public:
    explicit ControlPowerWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
protected:
    void showEvent(QShowEvent *event) override;
    void init();
    void changeEvent(QEvent *) override;
    void transUi();
private:
    ControlPowerSchedule *m_pSchedule=nullptr;

    QLabel *lbScreenCfg;
    QRadioButton *fdManual;
    QRadioButton *fdSchedule;

    QLabel *lbScreen;
    SwitchControl *fdScreen;
    QPushButton *btnScreenGet;
};

#endif // CONTROLPOWERWIDGET_H
